Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans
Class AbstractDateChooserBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          datechooser.beans.AbstractDateChooserBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

Direct Known Subclasses:
  DateChooserComboBeanInfo, DateChooserDialogBeanInfo, DateChooserPanelBeanInfo

    public abstract class AbstractDateChooserBeanInfo

extends java.beans.SimpleBeanInfo

BeanInfo class for common properties of all components.
Информационный класс, описывающий общие свойства всех компонентов библиотеки.

Since:
  1.0
Author:
  Androsov Vadim

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AbstractDateChooserBeanInfo()` Default constructor.

Method Summary
`protected abstract java.util.ArrayList<java.beans.PropertyDescriptor>` | `getAdditionalDescriptors()` Возвращает описатели дополнительных свойств конктерных компоннет.
`protected abstract java.lang.Class` | `getBeanClass()` Возвращает класс компонента.
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Describes components.
`protected abstract java.lang.Class` | `getCustomizerClass()` Возвращает класс-настройщик.
`int` | `getDefaultPropertyIndex()` Default propery index.
`protected abstract java.lang.String` | `getDisplayName()` Возвращает название компонента.
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()` Creates array of common events descriptors.
`java.awt.Image` | `getIcon(int iconKind)` Icon for components.
`protected abstract java.lang.String` | `getPicturePrefix()` Возвращает начало названия фалов с изображениями для данного компонента.
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Creates array of common properties.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDateChooserBeanInfo

    public AbstractDateChooserBeanInfo()

  Default constructor.
  Конструктор по умолчанию.

  Since:
    1.0

Method Detail

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

  Creates array of common events descriptors.
  Создает массив описателей общих событий.

  Specified by:
    `getEventSetDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    Array of EventSetDescriptor.
    Массив EventSetDescriptor.
  Since:
    1.0

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Creates array of common properties.
  Создает массив описателей общих событий.

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    Array of PropertyDescriptor.
    Массив PropertyDescriptor.
  Since:
    1.0

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

  Default propery index.
  Индеск свойства по умолчанию.

  Specified by:
    `getDefaultPropertyIndex` in interface `java.beans.BeanInfo`
  Overrides:
    `getDefaultPropertyIndex` in class `java.beans.SimpleBeanInfo`
  Returns:
    Default propery index.
    Индеск свойства по умолчанию.
  Since:
    1.0

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Describes components.
  Описывает компонент.

  Specified by:
    `getBeanDescriptor` in interface `java.beans.BeanInfo`
  Overrides:
    `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`
  Returns:
    Bean description.
    Описание компонента.
  Since:
    1.0

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Icon for components.
  Иконка компонента.

  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`
  Parameters:
    `iconKind` - Icon properties.
    Свойства иконки.
    SimpleBeanInfo.ICON_COLOR_32x32, SimpleBeanInfo.ICON_COLOR_16x16, SimpleBeanInfo.ICON_MONO_32x32, SimpleBeanInfo.ICON_MONO_16x16.
  Returns:
    Bean icon.
    Иконка компонента.

### getDisplayName

    protected abstract java.lang.String getDisplayName()

  Возвращает название компонента.

  Returns:
    Название компонента

### getPicturePrefix

    protected abstract java.lang.String getPicturePrefix()

  Возвращает начало названия фалов с изображениями для данного компонента.

  Returns:
    Начало названия

### getBeanClass

    protected abstract java.lang.Class getBeanClass()

  Возвращает класс компонента.

  Returns:
    Класс компонента.

### getAdditionalDescriptors

    protected abstract java.util.ArrayList<java.beans.PropertyDescriptor> getAdditionalDescriptors()
                                                                                            throws java.beans.IntrospectionException

  Возвращает описатели дополнительных свойств конктерных компоннет.

  Returns:
    Список особенных свойств компонента, null - если таковых нет
  Throws:
    `java.beans.IntrospectionException`

### getCustomizerClass

    protected abstract java.lang.Class getCustomizerClass()

  Возвращает класс-настройщик.

  Returns:
    Класс настройщик.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD